## hfsutils 1.17b-1

=== Makefile ===
###############################################################################
#
# hfsutils - tools for reading and writing Macintosh HFS volumes
# Copyright (C) 1996 Robert Leslie
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###############################################################################

DESTDIR =	/usr/local

BINDEST =	$(DESTDIR)/bin
MANDEST =	$(DESTDIR)/man

LIBDEST =	$(DESTDIR)/lib
INCDEST =	$(DESTDIR)/include

MANEXT =	1

BININSTALL =	install -c -m 755
LIBINSTALL =	install -c -m 644
HARDLINK =	ln -f

CC =		gcc
INCLUDES =	-I/usr/include/tcl

DEFINES =	
LIBS =		

TCLLIBS =	-ltcl7.4 -lm
TKLIBS =	-ltk4.0
XLIBS =		-L/usr/X11R6/lib -lX11

COPTS =		-g -O2
CFLAGS =	$(COPTS) -Ilibhfs $(INCLUDES) $(DEFINES)
LDFLAGS =	-Llibhfs

###############################################################################

CLITARGETS =	hattrib hcd hcopy hdel hdir hformat hls hmkdir hmount hpwd  \
		hrename hrmdir humount hvol
TCLTARGETS =	hfssh hfs xhfs
HFSUTIL =	hfsutil

LIBHFS =	libhfs/libhfs.a
INCHFS =	libhfs/hfs.h

LIBRSRC =	librsrc/librsrc.a
INCRSRC =	librsrc/rsrc.h

HFSCK =		hfsck/hfsck

GENERALDOCS =	hfsutils.1
CLIDOCS =	hattrib.1 hcd.1 hcopy.1 hdel.1 hdir.1 hformat.1 hls.1  \
		hmkdir.1 hmount.1 hpwd.1 hrename.1 hrmdir.1 humount.1 hvol.1
TCLDOCS =	hfssh.1 hfs.1 xhfs.1

CLIOBJS =	hattrib.o hcd.o hcopy.o hdel.o hdir.o hformat.o hls.o  \
		hmkdir.o hmount.o hpwd.o hrename.o hrmdir.o humount.o hvol.o
TCLOBJS =	tclhfs.o $(UTILOBJS)
UTILOBJS =	crc.o binhex.o copyin.o copyout.o

###############################################################################

all :: all_cli all_tcl

misc :: $(LIBRSRC) $(HFSCK)

all_cli :: $(CLITARGETS)

all_tcl :: $(TCLTARGETS)

install :: install_cli install_tcl

install_cli :: all_cli
	$(BININSTALL) $(HFSUTIL) "$(BINDEST)/."

	for file in $(CLITARGETS); do  \
		$(HARDLINK) "$(BINDEST)/$(HFSUTIL)" "$(BINDEST)/$$file";  \
	done

	rm -f "$(BINDEST)/$(HFSUTIL)"

	for file in $(GENERALDOCS) $(CLIDOCS); do  \
		$(LIBINSTALL) doc/$$file  \
		"$(MANDEST)/man$(MANEXT)/`basename $$file .1`.$(MANEXT)";  \
	done

install_tcl :: all_tcl
	for file in $(TCLTARGETS); do  \
		$(BININSTALL) $$file "$(BINDEST)/.";  \
	done

	if [ -f "$(BINDEST)/hfs" ]; then  \
		sed -e '1d' "$(BINDEST)/hfs" > "$(BINDEST)/hfs.new";  \
		$(BININSTALL) "$(BINDEST)/hfs.new" "$(BINDEST)/hfs";  \
		rm -f "$(BINDEST)/hfs.new";  \
	fi

	for file in $(GENERALDOCS) $(TCLDOCS); do  \
		$(LIBINSTALL) doc/$$file  \
		"$(MANDEST)/man$(MANEXT)/`basename $$file .1`.$(MANEXT)";  \
	done

install_lib :: $(LIBHFS)
	$(LIBINSTALL) $(LIBHFS) "$(LIBDEST)/."
	$(LIBINSTALL) $(INCHFS) "$(INCDEST)/."

again :: depend clean all

depend ::
	( sed -n '1,/^### DEPEND/p' Makefile;  \
	  echo;  \
	  $(CC) -MM $(CFLAGS) *.c;  \
	) > Makefile.new
	mv -f Makefile.new Makefile
	cd libhfs && $(MAKE) depend
	cd librsrc && $(MAKE) depend
	cd hfsck && $(MAKE) depend

clean ::
	rm -f $(HFSUTIL) $(CLITARGETS) $(TCLTARGETS) xhfs.c *.o core
	cd libhfs && $(MAKE) clean
	cd librsrc && $(MAKE) clean
	cd hfsck && $(MAKE) clean

dist :: depend TAGS clean
	sed -e '/^COPTS/s/-Wall/-O2/' Makefile > Makefile.new
	mv -f Makefile.new Makefile

	name=$$(basename $$(pwd)); cd .. && tar cvfz $$name.tar.gz $$name

	sed -e '/^COPTS/s/-O2/-Wall/' Makefile > Makefile.new
	mv -f Makefile.new Makefile

###############################################################################

TAGS: *.[ch] libhfs/*.[ch]
	etags *.[ch] */*.[ch]

$(LIBHFS) ::
	cd libhfs && $(MAKE) CC="$(CC)" COPTS="$(COPTS)"

$(LIBRSRC) ::
	cd librsrc && $(MAKE) CC="$(CC)" COPTS="$(COPTS)"

$(HFSCK) ::
	$(MAKE) $(LIBHFS)
	cd hfsck && $(MAKE) CC="$(CC)" COPTS="$(COPTS)"

$(CLITARGETS): $(HFSUTIL)
	ln -f $(HFSUTIL) $@

hfssh: $(LIBHFS) hfssh.o $(TCLOBJS)
	$(CC) $(LDFLAGS) hfssh.o $(TCLOBJS)  \
		-lhfs $(TCLLIBS) $(LIBS) -o $@

hfsutil: $(LIBHFS) $(UTILOBJS) hfsutil.o hcwd.o glob.o $(CLIOBJS)
	$(CC) $(LDFLAGS) hfsutil.o hcwd.o glob.o  \
		$(CLIOBJS) $(UTILOBJS)  \
		-lhfs $(LIBS) -o $@

hfs: hfs.tcl hfssh
	( echo "#!./hfssh";  \
	  echo "#!/bin/sh";  \
	  echo "# Start hfssh ... \\";  \
	  echo 'exec hfssh "$$0" "$$@"';  \
	  echo;  \
	  cat hfs.tcl;  \
	) > $@
	chmod a+x $@

xhfs: $(LIBHFS) xhfs.o hfswish.o $(TCLOBJS)
	$(CC) $(LDFLAGS) hfswish.o xhfs.o $(TCLOBJS)  \
		-lhfs $(TKLIBS) $(TCLLIBS) $(XLIBS) $(LIBS) -o $@

xhfs.c: xhfs.tcl
	( echo "char xhfs[] =";  \
	  sed -e 's|^[	 ]*||' -e '/^#/d' -e '/^$$/d'  \
	      -e 's|		*| |g'  \
	      -e 's|\\|\\&|g' -e 's|"|\\&|g' -e 's|.*|"&\\n"|' xhfs.tcl;  \
	  echo ";";  \
	) > $@

### DEPENDENCIES FOLLOW #######################################################

binhex.o: binhex.c binhex.h crc.h
copyin.o: copyin.c libhfs/hfs.h libhfs/data.h copyin.h binhex.h crc.h
copyout.o: copyout.c libhfs/hfs.h libhfs/data.h copyout.h binhex.h \
 crc.h
crc.o: crc.c crc.h
glob.o: glob.c libhfs/hfs.h glob.h
hattrib.o: hattrib.c libhfs/hfs.h hcwd.h hfsutil.h glob.h hattrib.h
hcd.o: hcd.c libhfs/hfs.h hcwd.h hfsutil.h glob.h hcd.h
hcopy.o: hcopy.c libhfs/hfs.h hcwd.h hfsutil.h glob.h hcopy.h copyin.h \
 copyout.h
hcwd.o: hcwd.c hcwd.h
hdel.o: hdel.c libhfs/hfs.h hcwd.h hfsutil.h glob.h hdel.h
hdir.o: hdir.c libhfs/hfs.h hcwd.h hfsutil.h glob.h hdir.h
hformat.o: hformat.c libhfs/hfs.h hcwd.h hfsutil.h hformat.h
hfssh.o: hfssh.c tclhfs.h
hfsutil.o: hfsutil.c libhfs/hfs.h hcwd.h hfsutil.h version.h hattrib.h \
 hcd.h hcopy.h hdel.h hdir.h hformat.h hls.h hmkdir.h hmount.h hpwd.h \
 hrename.h hrmdir.h humount.h hvol.h
hfswish.o: hfswish.c tclhfs.h xhfs.h images.h images/macdaemon.xbm \
 images/macdaemon_mask.xbm images/stop.xbm images/caution.xbm \
 images/note.xbm images/floppy.xbm images/harddisk.xbm \
 images/cdrom.xbm images/floppy_mask.xbm images/harddisk_mask.xbm \
 images/cdrom_mask.xbm images/sm_floppy.xbm images/sm_harddisk.xbm \
 images/sm_cdrom.xbm images/folder.xbm images/document.xbm \
 images/application.xbm images/folder_mask.xbm \
 images/document_mask.xbm images/application_mask.xbm \
 images/sm_folder.xbm images/sm_document.xbm images/sm_application.xbm \
 images/help.xbm images/padlock.xbm
hls.o: hls.c libhfs/hfs.h hcwd.h hfsutil.h glob.h hls.h
hmkdir.o: hmkdir.c libhfs/hfs.h hcwd.h hfsutil.h glob.h hmkdir.h
hmount.o: hmount.c libhfs/hfs.h hcwd.h hfsutil.h hmount.h
hpwd.o: hpwd.c hcwd.h hpwd.h
hrename.o: hrename.c libhfs/hfs.h hcwd.h hfsutil.h glob.h hrename.h
hrmdir.o: hrmdir.c libhfs/hfs.h hcwd.h hfsutil.h glob.h hrmdir.h
humount.o: humount.c libhfs/hfs.h hcwd.h hfsutil.h humount.h
hvol.o: hvol.c libhfs/hfs.h hcwd.h hfsutil.h hvol.h
tclhfs.o: tclhfs.c tclhfs.h libhfs/hfs.h copyin.h copyout.h version.h
xhfs.o: xhfs.c

=== hfsck/Makefile ===
###############################################################################
#
# hfsutils - tools for reading and writing Macintosh HFS volumes
# Copyright (C) 1996 Robert Leslie
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###############################################################################

CC =		gcc
INCLUDES =	-I../libhfs

LIBS =		-L../libhfs -lhfs
DEFINES =	

COPTS =		-g -Wall
CFLAGS =	$(COPTS) $(INCLUDES) $(DEFINES)

###############################################################################

TARGET =	hfsck
OBJS =		hfsck.o util.o main.o

###############################################################################

all :: $(TARGET)

again :: depend clean all

depend ::
	( sed -n '1,/^### DEPEND/p' Makefile;  \
	  echo;  \
	  $(CC) -MM $(CFLAGS) *.c;  \
	) > Makefile.new
	mv -f Makefile.new Makefile

clean ::
	rm -f $(TARGET) *.o core

###############################################################################

$(TARGET): $(OBJS) ../libhfs/libhfs.a
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $@

### DEPENDENCIES FOLLOW #######################################################

hfsck.o: hfsck.c hfsck.h ../libhfs/internal.h ../libhfs/hfs.h \
 ../libhfs/data.h ../libhfs/low.h ../libhfs/record.h util.h
main.o: main.c hfsck.h ../libhfs/internal.h ../libhfs/hfs.h \
 ../libhfs/data.h ../libhfs/low.h ../libhfs/record.h
util.o: util.c hfsck.h ../libhfs/internal.h ../libhfs/hfs.h \
 ../libhfs/data.h ../libhfs/low.h ../libhfs/record.h util.h

=== libhfs/Makefile ===
###############################################################################
#
# hfsutils - tools for reading and writing Macintosh HFS volumes
# Copyright (C) 1996 Robert Leslie
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###############################################################################

CC =		gcc
INCLUDES =	

LIBS =		
DEFINES =	

COPTS =		-g -Wall
CFLAGS =	$(COPTS) $(INCLUDES) $(DEFINES)
ARFLAGS =	rc
RANLIB =	ranlib

###############################################################################

TARGET =	libhfs.a
OBJS =		data.o block.o low.o file.o btree.o node.o record.o volume.o  \
		hfs.o

###############################################################################

all :: $(TARGET)

again :: depend clean all

depend ::
	( sed -n '1,/^### DEPEND/p' Makefile;  \
	  echo;  \
	  $(CC) -MM $(CFLAGS) *.c;  \
	) > Makefile.new
	mv -f Makefile.new Makefile

clean ::
	rm -f $(TARGET) *.o core

###############################################################################

$(TARGET): $(OBJS)
	ar $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

### DEPENDENCIES FOLLOW #######################################################

block.o: block.c internal.h hfs.h data.h block.h low.h
btree.o: btree.c internal.h hfs.h data.h block.h file.h btree.h node.h
data.o: data.c internal.h hfs.h data.h btree.h
file.o: file.c internal.h hfs.h data.h block.h file.h btree.h record.h \
 volume.h
hfs.o: hfs.c internal.h hfs.h data.h block.h low.h file.h btree.h \
 node.h record.h volume.h
low.o: low.c internal.h hfs.h data.h block.h low.h file.h
node.o: node.c internal.h hfs.h data.h btree.h node.h
record.o: record.c internal.h hfs.h data.h record.h
volume.o: volume.c internal.h hfs.h data.h low.h btree.h record.h \
 volume.h

=== librsrc/Makefile ===
###############################################################################
#
# hfsutils - tools for reading and writing Macintosh HFS volumes
# Copyright (C) 1996 Robert Leslie
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###############################################################################

CC =		gcc
INCLUDES =	-I../libhfs

LIBS =		
DEFINES =	

COPTS =		-g -Wall
CFLAGS =	$(COPTS) $(INCLUDES) $(DEFINES)
ARFLAGS =	rc
RANLIB =	ranlib

###############################################################################

TARGET =	librsrc.a
OBJS =		rsrc.o

###############################################################################

all :: $(TARGET)

again :: depend clean all

depend ::
	( sed -n '1,/^### DEPEND/p' Makefile;  \
	  echo;  \
	  $(CC) -MM $(CFLAGS) *.c;  \
	) > Makefile.new
	mv -f Makefile.new Makefile

clean ::
	rm -f $(TARGET) *.o core

###############################################################################

$(TARGET): $(OBJS)
	ar $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

### DEPENDENCIES FOLLOW #######################################################

rsrc.o: rsrc.c ../libhfs/hfs.h

## hfsutils 1.19b-1

=== debian/control ===
PACKAGE: hfsutils
VERSION: =
ARCHITECTURE: =
MAINTAINER: Robert Leslie <rob@mars.org>
DEPENDS: libc5 (>= 5.4.13)
RECOMMENDS: xlib6, tcl76, tk42
SUGGESTS: xbase
PRIORITY: optional
SECTION: misc
DESCRIPTION: Tools for reading and writing Macintosh volumes.
 HFS is the native Macintosh filesystem format.
 .
 This package contains several command-line utilities for
 reading and writing Macintosh HFS-formatted media such as
 floppy disks, CD-ROMs, and hard disks.
 .
 Also included is a scriptable Tcl shell and `xhfs', a
 comprehensive X interface.

=== debian/rules ===
#!/usr/bin/make -f
#
# Debian rules for building a Debian package
# Version 1.5
#
# These rules have been specifically designed NOT to require root to
# run them. At any time root privileges are required, the command to be
# executed will be made obvious and root's password will be prompted for.
# Of course, root may still run this and no password will be required.
#
# Robert Leslie <rob@mars.org>

PKG =	hfsutils
VER =	1.19b
DEB =	1
BLD =	debian/.build
TMP =	debian/.tmp
ARC =	$(shell dpkg --print-architecture)

build :: $(BLD)

binary :: $(BLD)
	su -c 'exec ./debian/binary $(PKG) $(VER)-$(DEB) $(ARC) $(TMP)'
	dpkg --build $(TMP) && dpkg-name -o -s .. $(TMP).deb

$(BLD):
	make
	touch $(BLD)

clean ::
	test ! -d $(TMP) || su -c 'rm -rf $(TMP)'
	rm -f $(BLD)
	make clean

source ::
	test ! -f $(BLD) || make -f debian/rules clean
	cd .. && tar cf - $(PKG)-$(VER) |  \
	    gzip -9f > $(PKG)_$(VER)-$(DEB).tar.gz

diff ::
	test ! -f $(BLD) || make -f debian/rules clean
	test -d ../$(PKG)-$(VER).orig
	cd .. && diff -cNr $(PKG)-$(VER).orig $(PKG)-$(VER) |  \
	    gzip -9f > $(PKG)_$(VER)-$(DEB).diff.gz

## hfsutils 3.1

=== linux/kernel/Makefile ===
###############################################################################
#
# hfsutils - tools for reading and writing Macintosh HFS volumes
# Copyright (C) 1996, 1997 Robert Leslie
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.15 1997/10/15 21:16:41 rob Exp $
#
###############################################################################

CC =		gcc
LD =		ld
INCLUDES =	-I/usr/src/linux/include -I../../libhfs
DEFINES =	-D__KERNEL__ -DMODULE
LIBS =		

COPTS =		-g #-Wall -Wstrict-prototypes
LDOPTS =	

CFLAGS =	$(COPTS) $(INCLUDES) $(DEFINES)
LDFLAGS =	$(LDOPTS)

###############################################################################

TARGETS =	$(KERNTARGET)

KERNTARGET =	hfs.o
KERNOBJS =	module.o

###############################################################################

all :: $(TARGETS)

again :: clean all

depend ::
	co -l Makefile
	( sed -n '1,/^### DEPEND/p' Makefile;  \
	  echo;  \
	  $(CC) -MM $(INCLUDES) $(DEFINES) *.c;  \
	) > Makefile.new
	mv -f Makefile.new Makefile
	ci -u -m"Dependency changes" Makefile

clean ::
	rm -f $(TARGETS) *.o gmon.* core

###############################################################################

$(KERNTARGET): $(KERNOBJS)
	$(LD) -r -o $@ $(KERNOBJS)

### DEPENDENCIES FOLLOW #######################################################

module.o: module.c ../../libhfs/libhfs.h ../../libhfs/hfs.h

## hfsutils 3.2.6

=== debian/changelog ===
hfsutils (3.2.6-16ubuntu1) oracular; urgency=medium

  * d/rules: switch to use the debhelper autoreconf template.
    - d/rules: disable parallel testing.
    - d/hfsutils-tcltk.links: remove, this is auto-handled by debhelper now.
  * d/p/0006-Fix-memory-corruption.patch: add a patch to fix memory corruption
    issues (LP: #493273).
  * d/p/0007-Fix-cv-qualifiers.patch: add a patch to fix build with GCC 14.

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 01 Aug 2024 13:28:47 +0200

hfsutils (3.2.6-16) unstable; urgency=medium

  * Add patch to fix missing inclusion of string.h in hpwd.c (Closes: #1066216)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 14 Apr 2024 13:46:37 +0200

hfsutils (3.2.6-15) unstable; urgency=medium

  * Set myself as maintainer in debian/control (Closes: #677770)
  * Drop all patches in debian/patches
  * Re-add patch to fix build system issues
  * Re-add patch to fix FTBFS with gcc-3.4
  * Re-add patch to add support for files larger than 2GB
  * Re-add patch to add -DUSE_INTERP_RESULT to DEFINES in Makefile.in
  * Add Vcs-* fields to debian/control

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 23 Jan 2021 15:23:26 +0100

hfsutils (3.2.6-14) unstable; urgency=medium

  * QA upload.
  * Switch to the default Tcl/Tk from 8.5 since 8.5 is to be removed from
    Debian.
  * Ensure that there's no -L/usr/lib in the build process. Closes: #722779.
  * Replace dh_clean -k by dh_prep.
  * Use priority optional instead of deprecated extra.
  * Bump the debhelper compatibility level to 10.
  * Conforms to Standards version 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 28 Jan 2018 19:15:33 +0300

hfsutils (3.2.6-13) unstable; urgency=medium

  * QA upload.
  * Fix a FTBFS caused by a missing filename and doubled diff for that file
    in man-macros.diff. Closes: #753178.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sun, 10 Aug 2014 18:52:52 +0300

hfsutils (3.2.6-12) unstable; urgency=low

  * QA upload.
  * Properly orphan the package. See #677770.
  * Build using Tcl/Tk 8.5. Closes: #631601. LP: #1155269.
  * Build with hardening defaults.
  * Fix some lintian warnings. Closes: #615357, #615428.
  * Fix typo in man page. Closes: #525266.
  * Handle files larger than 2GB.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Mar 2013 12:44:10 -0700

hfsutils (3.2.6-11) unstable; urgency=low

  * New maintainer (Closes: #387338).
  * Update to the latest Standards-Version.
  * Update description in debian/control with homepage.
  * Add debian/watch.
  * Conform to policy by building with CFLAGS="-O2 -g -Wall".
  * Add dpatch support.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Thu, 14 Sep 2006 11:55:33 +0200

hfsutils (3.2.6-10) unstable; urgency=low

  * New maintainer (Closes: #303264).
  * Making it Policy compliant.

 -- David Moreno Garza <damog@debian.org>  Thu,  5 Jan 2006 20:01:38 -0600

hfsutils (3.2.6-9) unstable; urgency=low

  * QA upload.
  * debian/rules: Really force make not to re-run autoconf.
    Closes: #307039.

 -- Matej Vela <vela@debian.org>  Sat, 30 Apr 2005 10:58:27 +0200

hfsutils (3.2.6-8) unstable; urgency=low

  * QA upload.
  * Package is orphaned (see #303264); set maintainer to Debian QA Group.
  * Include <errno.h> instead of declaring errno on our own (patch by
    Andreas Jochens).  Closes: #280310.
  * Link to tcl8.4/tk8.4.
  * Switch to debhelper.
  * Remove trailing dot from short description.  Closes: #174469.
  * debian/copyright: List copyright holder.  Closes: #302937.
  * debian/rules: Force make not to re-run autoconf.
  * Move xhfs from /usr/X11R6/bin to /usr/bin.
  * Replace /usr/share/doc/hfsutils-tcltk with a symlink to hfsutils.
  * Drop /usr/doc symlink.  Closes: #261565.
  * Conforms to Standards version 3.6.1.

 -- Matej Vela <vela@debian.org>  Tue, 26 Apr 2005 11:35:02 +0200

hfsutils (3.2.6-7) unstable; urgency=medium

  * Fix my brandamage -- don't depend on unstable X pkgs.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 21 Jul 2001 21:47:00 -0500

hfsutils (3.2.6-6) unstable; urgency=medium

  * Add autoconf build dependency - since the offending file is an empty
    stamp file (./.stamp/configure), we can't fix the dependency by just
    updating the files in my build tree because the file won't show up in
    the diff.  I could just put a single character in the stamp file, and
    that might help, but that's a fragile fix IMO. (closes: #104628)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 19 Jul 2001 09:10:18 -0500

hfsutils (3.2.6-5) unstable; urgency=low

  * Don't invoke configure in make clean.  This isn't as robust, but it
    calling configure there was killing autobuilders who clean as root,
    and hence create a config.log that they can't edit when they
    subsequently build as a normal user. (closes: #94099)

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 10 Jul 2001 11:50:33 -0500

hfsutils (3.2.6-4) unstable; urgency=low

  * Recompile against fixed tcl lib (Closes: Bug#93629).
  * Use "install -s" to fully strip things for ELF.

 -- Rob Browning <rlb@cs.utexas.edu>  Wed, 11 Apr 2001 16:31:56 -0500

hfsutils (3.2.6-3) unstable; urgency=low

  * add Build-Depends: tcl*-dev and tk*-dev (Closes: Bug#85250).

 -- Rob Browning <rlb@cs.utexas.edu>  Tue, 13 Feb 2001 23:26:37 -0600

hfsutils (3.2.6-2) unstable; urgency=low

  * fix location of copyright in debian/copyright.
  * move manpages, docs, etc. to */share/*
  * include Section: and Priority: field in binary packages.
  * add check for tk.h in $TCL_PREFIX/include/tcl*.
  * add postinst/prerm to binary packages to handle doc symlink.
  * avoid dependency on tkstep8.0. (Closes: Bug#37200).
  * update to Standards-Version: 3.2.1.0.

 -- Rob Browning <rlb@cs.utexas.edu>  Sun, 24 Dec 2000 00:00:46 -0600

hfsutils (3.2.6-1) unstable; urgency=low

  * New upstream version.
  * Move hfs to hfsutils-tcltk, where it should have been (Closes: Bug#41969).



=== debian/control ===
Source: hfsutils
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Standards-Version: 4.1.3
Build-Depends: debhelper-compat (= 13), tcl-dev, tk-dev
Homepage: http://www.mars.org/home/rob/proj/hfs/
Vcs-Browser: https://salsa.debian.org/debian/hfsutils
Vcs-Git: https://salsa.debian.org/debian/hfsutils.git

Package: hfsutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: hfsutils-tcltk
Description: Tools for reading and writing Macintosh volumes
 HFS is the native Macintosh filesystem format.
 .
 This package contains several command-line utilities for reading and
 writing Macintosh HFS-formatted media such as floppy disks, CD-ROMs,
 and hard disks.

Package: hfsutils-tcltk
Architecture: any
Depends: hfsutils, ${shlibs:Depends}, ${misc:Depends}
Replaces: hfsutils (<< 3.1-3)
Description: Tcl/Tk interfaces for reading and writing Macintosh volumes
 HFS is the native Macintosh filesystem format.
 .
 This package contains xhfs, a Tk-based X windows interface, and hfssh,
 a Tcl-based shell.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for hfsutils
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_testdir
	dh_auto_configure -- \
		    --with-tcl=/usr/lib \
		    --with-tk=/usr/lib

override_dh_auto_test:
	# Tests can't be run in parallel
	dh_auto_test --no-parallel

override_dh_auto_install:
	$(MAKE) prefix=$(CURDIR)/debian/hfsutils/usr install_cli
	$(MAKE) prefix=$(CURDIR)/debian/hfsutils-tcltk/usr install_tcl install_tk
